### Constructor

# Gsk TextNode new

#### Declaration [src]

    GskRenderNode*
    gsk_text_node_new (
      PangoFont* font,
      PangoGlyphString* glyphs,
      const GdkRGBA* color,
      const graphene_point_t* offset
    )

#### Description [src]

Creates a render node that renders the given glyphs.

Note that `color` may not be used if the font contains color glyphs.

#### Parameters

`font` | `PangoFont*`
| The `PangoFont` containing the glyphs.
| The data is owned by the caller of the function.
`glyphs` | `PangoGlyphString*`
| The `PangoGlyphString` to render.
| The data is owned by the caller of the function.
`color` | `const GdkRGBA*`
| The foreground color to render with.
| The data is owned by the caller of the function.
`offset` | `const graphene_point_t*`
| Offset of the baseline.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GskTextNode`
| A new `GskRenderNode`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.